﻿* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 10px;
}

body {
    font-family: "Lato",'Sans Serif';
    font-size: 1.6rem;
    font-weight: 400;
    line-height: 1.5;
    overflow-x: hidden;
    background-color: #fff;
}

#Website {
    display: none;
}

a {
    text-decoration: none !important;
}

ul {
    list-style-type: none;
}

.clearfix::after {
    content: "";
    display: block;
    clear: both;
}

.other-btn {
    background-color: #FDA12B;
    color: white;
    border: none;
    padding: 1rem 1rem;
    margin: 1rem 0.5rem;
    cursor: pointer;
    font-size: 1.4rem !important;
}

    .other-btn:hover {
        background-color: #343a40;
        border-radius: 30px !important;
    }

/*NAVBAR*/
nav {
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    background-color: #343a40;
    color: #fff;
    padding-top: 1rem;
    padding-bottom: 1rem;
    text-align: center;
}

#logo-box {
    float: left;
    padding-top: 0.5rem;
}

.logo-link {
    display: inline-block;
    text-decoration: none;
}

.logo {
    height: 140px;
    width: 140px;
    object-fit: cover;
    padding-bottom: 0.5rem;
    position: absolute;
    z-index: 100;
}

.btn-group {
    float: right;
    display: flex;
    align-items: center;
}

.btn {
    background-color: #343a40;
    color: white;
    border: none;
    padding: 1rem 1rem;
    margin: 1rem 0.5rem;
    cursor: pointer;
    font-size: 1.4rem !important;
    border-radius: 30px;
    transition: transform 0.3s ease, background-color 0.3s ease;
}

    .btn:hover {
        background-color: #FDA12B;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
        border-radius: 30px !important;
    }

.dropdown-toggle::after {
    margin-left: 0.5rem;
}

.dropdown-menu {
    background-color: #343a40;
    border: none;
}

.dropdown-item {
    color: white;
    padding: 0.5rem 1rem;
    text-decoration: none;
    float: right;
}

    .dropdown-item:hover {
        background-color: #FDA12B;
        border-radius: 30px !important;
    }

/*CAROUSEL SECTİON*/
.carousel-image-wrapper {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carousel-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.carousel-caption {
    position: absolute;
    margin-bottom: 250px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    padding: 1rem;
    border-radius: 5px;
    z-index: 2;
    text-align: center;
}

    .carousel-caption h1 {
        font-size: 8rem;
        color: #fff !important;
        font-weight: bold;
        background: none;
    }

    .carousel-caption h3 {
        font-size: 4rem;
        color: #fff !important;
    }



/*CARD*/
#about-us {
    padding: 8rem 2rem;
    background-color: #f8f9fa;
}

.about-us-image {
    width: 80%;
    max-width: 400px;
    height: auto;
    border-radius: 10% 50% 10% 50%/50% 10% 50% 10%;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

#about-us .img-fluid {
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

    #about-us .img-fluid:hover {
        transform: scale(1.05);
    }

#about-us h2 {
    font-family: 'Montserrat', sans-serif;
    color: #343a40;
}

.custom-line {
    border: 5px;
    height: 15px;
    background-color: #FDA12B;
    margin: 12px 0;
}

#about-us p {
    font-family: 'Montserrat', sans-serif;
    color: #6c757d;
    font-size: 1.5rem;
}

.flex-container {
    display: flex;
    justify-content: center;
    margin-top: 2rem;
}

.jumbotron {
    background-color: #343a40;
}

/*COLLAPSE*/
section#services {
    background-color: #f8f9fa;
}

.section-title {
    font-size: 2rem;
    font-weight: bold;
    color: #343a40;
}

.card {
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.7s ease, box-shadow 0.7s ease;
}

    .card:hover {
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
        transform: scale(1.05);
    }

.card-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 1.5rem;
}

.card-title {
    font-family: 'Montserrat', sans-serif;
    color: #343a40;
    font-size: 1.50rem;
    font-weight: 900;
    margin-bottom: 1rem;
}

.card-text {
    font-family: 'Montserrat', sans-serif;
    font-size: 1rem;
    color: #6c757d;
    font-weight: 600;
}

.mt-3 {
    margin-top: 1rem;
}

.card-img-top {
    width: 100%;
    height: auto;
    max-height: 200px;
    object-fit: cover;
}

/*WRAPPER*/
.wrapper {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.header {
    position: absolute;
    top: 50px;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    width: 100%;
    margin-bottom: 20px;
}

    .header h1 {
        font-size: 2rem;
        font-weight: bold;
        color: #343a40;
    }

.custom-container {
    height: 400px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: start;
}

    .custom-container input[type="radio"] {
        display: none;
    }

.custom-card {
    width: 80px;
    border-radius: .75rem;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
    overflow: hidden;
    border-radius: 2rem;
    margin: 0 10px;
    display: flex;
    align-items: flex-end;
    transition: .6s cubic-bezier(.28,-0.03,0,.99);
    box-shadow: 0px 10px 30px -5px rgba(0,0,0,0.8);
}

    .custom-card > .custom-row {
        color: white;
        display: flex;
        flex-wrap: nowrap;
    }

        .custom-card > .custom-row > .icon {
            background: #223;
            color: white;
            border-radius: 50%;
            width: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 15px;
        }

        .custom-card > .custom-row > .description {
            display: flex;
            justify-content: center;
            flex-direction: column;
            overflow: hidden;
            height: 80px;
            width: 520px;
            opacity: 0;
            transform: translateY(30px);
            transition-delay: .3s;
            transition: all .3s ease;
            background: rgba(0, 0, 0, 0.5);
            border-radius: 15px;
            padding: 20px !important;
        }

            .custom-card > .custom-row > .description a {
                color: #fff;
                display: block;
                border-radius: 15px;
            }

                .custom-card > .custom-row > .description a:hover {
                    background-color: rgba(255, 255, 255, 0.2);
                    color: #FDA12B;
                }

.description h4 {
    font-weight: 600;
    font-family: 'Montserrat', sans-serif;
    text-transform: uppercase;
}

input:checked + label {
    width: 600px;
}

    input:checked + label .description {
        opacity: 1 !important;
        transform: translateY(0) !important;
    }

.custom-card[for="c1"] {
    background-image: url('../images/wrapper-1.webp');
}

.custom-card[for="c2"] {
    background-image: url('../images/wrapper-2.webp');
}

.custom-card[for="c3"] {
    background-image: url('../images/wrapper-3.webp');
}

.custom-card[for="c4"] {
    background-image: url('../images/wrapper-4.webp');
}

.custom-card[for="c5"] {
    background-image: url('../images/wrapper-5.webp');
}

.custom-card[for="c6"] {
    background-image: url('../images/wrapper-6.webp');
}

.wrapper-image {
    object-fit: cover;
}

/*SUBCRİBE*/
.subscribe {
    background: #FDA12B;
    padding: 0;
}

subscribe-container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.subscribe-row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
}

.subscribe-call-to-acton {
    min-height: 115px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 45px;
    text-align: right;
}

    .subscribe-call-to-acton h3 {
        font-size: 1.6rem;
        font-weight: 700;
        font-family: "montserrat", sans-serif;
        margin-bottom: 5px;
        letter-spacing: 1px;
        color: #000;
    }

    .subscribe-call-to-acton h4 {
        margin: 0;
        color: #fff;
        font-weight: 700;
        font-family: "montserrat", sans-serif;
        text-rendering: optimizeLegibility;
        text-align: right;
    }

.ts-newsletter {
    background: #252525;
    position: relative;
    min-height: 115px;
    padding: 15px 0 0 50px;
}

.align-items-center {
    align-items: center;
}

/*GALERİ*/
.index-gallery-section {
    text-align: center;
    padding: 20px;
    position: relative;
    margin-top: 30px;
}

.index-gallery-title {
    font-size: 2em;
    margin-bottom: 10px;
    margin-top: 10px;
}

.index-gallery-container {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    z-index: 1;
    width: 100%;
}

.index-gallery-images {
    display: flex;
    transition: transform 0.3s ease-in-out;
    width: 100%;
}

.index-gallery-image {
    width: 400px;
    height: 350px;
    margin-right: 10px;
    object-fit: cover;
}

.gallery-arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2em;
    color: #333;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 10px;
    cursor: pointer;
    z-index: 10;
}

.left-arrow {
    left: 10px;
}

.right-arrow {
    right: 10px;
}

.gallery-btn {
    margin-top: 25px;
}

/*HAKKIMIZDA SAYFASI*/
.about-container h2 {
    font-family: 'Montserrat', sans-serif;
    font-weight: bold;
    font-size: 2rem;
    margin-top: 5px;
}

.about-image {
    width: 600px;
    height: auto;
}

.presentation-image {
    border-radius: 5px;
    box-shadow: 2px 2px 12px 1px #d9d9d9c9;
    display: flex;
    margin: auto;
}

.presentation-image {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

    .presentation-image:hover {
        transform: scale(1.1);
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    }

.about-text {
    padding-right: 8rem;
}

.about-p {
    font-weight: 400;
}

/*HİZMETLER SAYFASI*/
.all-services {
    background: linear-gradient(135deg, #FDA12B, #FFCC80);
    border-radius: 15px;
    padding: 20px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

    .all-services h6, h3 {
        color: black;
    }

    .all-services:hover {
        transform: scale(1.05);
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
    }

.container .row p.lead {
    font-weight: 500;
    font-size: 1.8rem;
}

.list-services {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.first {
    padding-left: 50px;
}

.list-services ul {
    flex: 1;
    margin: 0 10px;
    padding: 0;
    list-style-type: none;
}

    .list-services ul li {
        position: relative;
        padding-left: 20px;
        color: #343a40;
    }

        .list-services ul li::before {
            content: '✔';
            position: absolute;
            left: 0;
            color: #F8F8F8;
            font-size: 1.2rem;
        }

.list-services a {
    color: #F8F8F8;
}

/*HİZMETLER SAYFASI*/
.alert-text {
    font-weight: 700;
    font-family: 'Montserrat', sans-serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-right: 30px;
}

.fa-check {
    margin-left: auto;
}

.lower-services-text {
    align-items: center;
    padding-left: 27px;
    padding-right: 27px;
}

    .lower-services-text p {
        font-size: 1.8rem;
        font-weight: 500;
    }

.lower-services-btn {
    text-align: center;
}

    .lower-services-btn a {
        margin: 0 10px;
    }

.lower-services-image {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.lower-services-images {
    height: 300px;
    object-fit: cover;
    width: auto;
}

/*GALERİ SAYFASI*/
.gallery-container {
    text-align: center;
    padding: 20px;
}

    .gallery-container h1 {
        margin-bottom: 10px;
    }

    .gallery-container .custom-line {
        width: 50%;
        margin: 0 auto;
        border: 1px solid #ddd;
    }

.gallery-row {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}

.gallery-item {
    position: relative;
    width: 30%;
    margin: 0 10px;
    box-sizing: border-box;
    border: 2px solid #ddd;
    overflow: hidden;
}

    .gallery-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: opacity 0.3s, transform 0.3s;
    }

    .gallery-item:hover img {
        opacity: 0.7;
    }

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    opacity: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s;
}

.gallery-item:hover .overlay {
    opacity: 1;
}

.text {
    font-weight: bold;
    font-size: 1.5em;
}

.custom-line {
    width: 50%;
    margin: 0 auto;
    border: 1px solid #ddd;
}

/*VİNÇ SAYFASI*/
.vinc {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #f8f9fa;
    margin: 30px 100px;
}


.vinc-alert-text {
    flex: 1;
    margin-right: 20px;
    margin-left: 35px;
}

.vinc-alert-text2 {
    flex: 1;
    margin-left: 200px;
}

.vinc-alert-text h2 {
    margin-bottom: 10px;
    font-size: 1.9em;
    font-weight: bold;
}

.vinc-alert-text2 h2 {
    margin-bottom: 10px;
    font-size: 1.9em;
    font-weight: bold;
}

.vinc-alert-text ul {
    list-style-type: none;
    padding: 0;
}

.vinc .vinc-alert-text li::before {
    content: '→';
    display: inline-block;
    width: 20px;
    margin-right: 10px;
}

.vinc-alert-text li {
    margin-bottom: 5px;
}

.vinc-alert-image {
    flex: 0 0 auto;
}

    .vinc-alert-image img {
        width: 350px;
        height: auto;
        border: 2px solid #ddd;
        border-radius: 5px;
        display: block;
        margin-right: 35px;
    }

/*İLETİŞİM SAYFASI*/
.contact-page {
    display: flex;
    height: 100vh;
}

.left-section {
    background: linear-gradient(135deg, #343a40 0%, #0b0c0e 100%);
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .left-section .contact-logo {
        width: 200px;
        height: auto;
        filter: drop-shadow(20px7px5px#302E2E);
    }

.right-section {
    flex: 1;
    background-color: #fff;
    padding: 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

    .right-section h1 {
        font-size: 2.5rem;
        margin-top: 20px;
        color: #343a40;
        margin-bottom: 10px;
    }

    .right-section h2 {
        font-size: 1.2rem;
        margin-top: 5px;
        color: #6c757d;
        margin-bottom: 30px;
    }

.x-group {
    margin-bottom: 20px;
}

.x-lbl-sm {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
    color: #343a40;
}

.login-form-input {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1rem;
    box-sizing: border-box;
    background-color: #f8f9fa;
}

    .login-form-input:focus {
        border-color: #343a40;
        outline: none;
    }

textarea.login-form-input {
    resize: vertical;
}

.login-form-submit {
    width: 100%;
    padding: 12px;
    background-color: #343a40;
    color: white;
    font-size: 1rem;
    font-weight: bold;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .login-form-submit:hover {
        background-color: #FDA12B;
    }

/* Hata mesajları stili */
.text-danger {
    color: #dc3545;
    font-size: 0.9rem;
    margin-top: 5px;
}

/* Medya sorguları */
@media (max-width: 768px) {
    .contact-page {
        flex-direction: column;
    }

    .left-section, .right-section {
        flex: none;
        width: 100%;
    }

    .right-section {
        padding: 20px;
    }
}


/*FOOTER*/
#footer {
    background-color: #343a40;
    color: #fff;
    padding: 30px 0;
}

.footer-main {
    padding: 0 15px;
}

.footer-widget {
    margin-bottom: 30px;
}

.widget-title {
    font-weight: bold;
    font-size: 1.6rem;
    margin-bottom: 10px;
    position: relative;
    display: inline-block;
}

    .widget-title::after {
        content: "";
        display: block;
        width: 100%;
        height: 3px;
        background: #FDA12B;
        position: absolute;
        bottom: -10px;
        left: 0;
    }

.footer-logo {
    display: block;
    margin: 15px auto;
}

.footer-social ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 15px;
}

    .footer-social ul li {
        display: inline-block;
    }

        .footer-social ul li a {
            color: #fff;
            font-size: 18px;
            text-decoration: none;
        }

            .footer-social ul li a:hover .fa-facebook-f {
                color: #3b5998;
            }

            .footer-social ul li a:hover .fa-instagram {
                color: #E4405F;
            }

            .footer-social ul li a:hover .fa-whatsapp {
                color: #25D366;
            }

.contact-info p {
    margin: 0;
    line-height: 1.6;
}

.contact-info i {
    margin-right: 10px;
}

.top-link {
    color: #fff;
    text-decoration: none;
}

    .top-link:hover {
        color: #ddd;
    }

.list-arrow {
    padding-left: 0;
    list-style: none;
}

    .list-arrow a {
        color: #fff;
    }

        .list-arrow a:hover {
            color: #ddd !important;
        }

        .list-arrow a:visited {
            color: #ccc !important;
        }

    .list-arrow li {
        margin-bottom: 10px;
        position: relative;
        padding-left: 25px;
    }

        .list-arrow li::before {
            content: "\f0c1";
            font-family: "Font Awesome 5 Free";
            font-weight: 900;
            position: absolute;
            left: 0;
            top: 0;
            color: #fff;
            font-size: 14px;
        }


#footer .copyright {
    background-color: #FDA12B;
    color: #fff;
    padding: 10px 0;
}

.footer-end a {
    color: #fff;
}

.blockquote-footer::before {
    content: "" !important;
}

#back-to-top {
    z-index: 1;
}

.navbar-toggler{
    display: none;
}
@media screen and (max-width: 768px) {
    .carousel-caption {
        top: 0%;
        height: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    #about-us .img-fluid {
        width: 300px;
        display: flex;
        margin: auto;
    }

    .about-text-wrapper {
        width: 350px;
        display: flex;
        margin: auto;
        flex-direction: column;
        margin-top: 5rem;
    }

    .service-item {
        width: 350px;
        display: flex;
        margin: auto;
    }

    input:checked + label {
        width: 300px;
        height: 400px;
    }

    .custom-container {
        flex-direction: column;
    }

    .custom-card {
        margin-top: 1rem;
        margin-bottom: 1rem;
    }

    .subscribe-call-to-acton {
        min-height: auto;
        padding: 3rem;
    }

    .mobile-w-100{
        width: 100%;
    }
    .gallery-arrow {
        border-radius: 50%;
        height: 50px;
        width: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .gallery-arrow:after{
        font-size: 24px;
    }
    .footer-logo-link {
        width: 300px;
        display: flex;
    }
    .footer-about{
        width: 350px;
    }
    .footer-end {
        position: absolute;
        margin-top: 1rem;
    }
    .header-nav{
        display: none;
    }
    .subscribe-row {
         margin-left: 0px; 
         margin-right: 0px;
    }
    .navbar-collapse {
        display: flex;
        flex-direction: column;
        position: absolute;
        right: 0;
        z-index: 100;
        background: #343a40;
        border-radius: 10px;
        box-shadow: 1px 1px 12px 1px #181818a3;
        width: 250px !important;
        margin-top: 8rem;
    }
    .header-btn{
        width: 100%;
    }
    .btn-group{
        width: 100%;
    }
    .btn{
        width: 100%;
    }
    .fa-bars{
        color: #fff;
        font-size: 24px;
    }
    .navbar-toggler-icon{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .navbar-toggler {
        padding: 2rem;
        float: right;
        margin-top: 2rem;
        display :flex;
    }
    .logo{
        width: 80px;
        height: 80px;
        position: inherit;
    }
    .about-image{
        width: 350px;
        display: flex;
        margin: auto;
        margin-bottom: 2rem;
    }
    .about-text{
        display: flex;
        flex-direction: column;
        margin: auto;
        padding-right: initial;
        padding-right: 1rem;
        padding-left: 1rem;
    }
    .card-img-top-platform {
        width: 100%;
        height: 300px;
        object-fit: cover;
    }
    .vinc {
        flex-direction: column;
        margin: auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .vinc-alert-image img{
        display: flex;
        margin: auto;
    }
    .vinc-reverse{
        flex-direction: column-reverse;
    }
    .other-btn {
        width: 100%;
        display: flex;
        border-radius: 20px;
        align-items: center;
        justify-content: center;
        margin-bottom: 0.5rem!important;
    }
    .gallery-row{
        flex-direction: column;
    }
    .gallery-item{
        width: 100%;
    }
    .gallery-item img {
        display: flex;
        width: 100%;
        height: 300px;
    }
    .lower-services-image{
        flex-direction: column; 
    }
}
